import { jsx as _jsx } from "react/jsx-runtime";
import { forwardRef } from 'react';
import GoogleCloudStorageLogoLight from './GoogleCloudStorageLogoLight';
import GoogleCloudStorageLogoDark from './GoogleCloudStorageLogoDark';
import { useThemeModification, useBrandModification } from '../../utils';
const GoogleCloudStorageLogoSvg = forwardRef(function GoogleCloudStorageLogoSvg(props, ref) {
    const { isDarkTheme } = useThemeModification();
    const { isDarkBrand } = useBrandModification();
    return isDarkTheme || isDarkBrand ? (_jsx(GoogleCloudStorageLogoDark, Object.assign({}, props, { ref: ref }))) : (_jsx(GoogleCloudStorageLogoLight, Object.assign({}, props, { ref: ref })));
});
export default GoogleCloudStorageLogoSvg;
